import { InfiniteScrollGames } from "@/components/InfiniteScroll";
import Search from "@/components/search";
import Sort from "@/components/sort-games";

// renders a list of games infinitely (presumably)
export default async function GamesPage() {
    return (
        <main className="relative lg:gap-10 xl:grid xl:grid-cols-[1fr_300px]">
            <div className="grid">
                <Search className="p-3 lg:w-2/3 2xl:w-1/3" />
                <InfiniteScrollGames />
            </div>
            <div className="hidden xl:block">
                <Sort />
            </div>
        </main>
    )
}